diff options
Diffstat (limited to '')
| -rwxr-xr-x | install.sh | 19 |
1 files changed, 11 insertions, 8 deletions
@@ -1,5 +1,5 @@ #!/bin/sh -programs="dwm dmenu slstatus st" +programs="dwm dmenu slstatus st fetcha" command_exists() { command -v "$1" >/dev/null 2>&1 @@ -13,20 +13,23 @@ for program in $programs; do has_root_perms && (cd "$program" && echo "starting $program installation" && make clean install && echo "$program installation complete") || echo "Can't install $program: you must run the script as root or with sudo." done +if command_exists picom; then + if ! has_root_perms; then + echo "Can't install picom configuration: you must run the script as root or with sudo." + exit 1 + fi + + cp picom.conf /etc/xdg/picom.conf + echo "picom &" >>~/.xinitrc +fi + if command_exists feh; then feh --bg-fill wallpaper.jpg echo "~/.fehbg &" >>~/.xinitrc fi -if command_exists picom; then - has_root_perms && cp picom.conf /etc/xdg/picom.conf || echo "Can't install picom configuration: you must run the script as root or with sudo." - echo "picom &" >>~/.xinitrc -fi - command_exists flameshot && echo "flameshot &" >>~/.xinitrc -command_exists neofetch && cp neofetch -r ~/.config/ - command_exists vis && cp vis -r ~/.config/ if command_exists tmux; then |
